Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://api.shoppex.io/dev/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "uniqid": "<string>",
      "type": "<string>",
      "subtype": "<string>",
      "origin": "<string>",
      "shop_id": "<string>",
      "customer_id": "<string>",
      "currency": "<string>",
      "product_id": "<string>",
      "product_title": "<string>",
      "product_type": "<string>",
      "product_variants": [
        {
          "title": "<string>"
        }
      ],
      "quantity": 123,
      "gateway": "<string>",
      "blockchain": "<string>",
      "apm_method": "<string>",
      "crypto_address": "<string>",
      "crypto_amount": 123,
      "crypto_received": 123,
      "crypto_uri": "<string>",
      "crypto_confirmations_needed": 123,
      "crypto_payout": true,
      "scheduled_payout": true,
      "crypto_payout_type": "<string>",
      "total": 123,
      "total_display": 123,
      "subtotal": 123,
      "tax": 123,
      "tax_percentage": 123,
      "exchange_rate": 123,
      "crypto_exchange_rate": 123,
      "coupon_id": "<string>",
      "discount": 123,
      "discount_display": 123,
      "volume_discount": 123,
      "customer_email": "<string>",
      "country": "<string>",
      "ip": "<string>",
      "is_vpn_or_proxy": true,
      "user_agent": "<string>",
      "custom_fields": [
        "<unknown>"
      ],
      "is_developer_invoice": true,
      "developer_title": "<string>",
      "developer_webhook": "<string>",
      "developer_return_url": "<string>",
      "fee_percentage": 123,
      "fee_billed": true,
      "to_process": true,
      "status": "PENDING",
      "status_details": "<string>",
      "void_details": "<string>",
      "name": "<string>",
      "surname": "<string>",
      "address_line_1": "<string>",
      "address_city": "<string>",
      "address_country": "<string>",
      "address_postal_code": "<string>",
      "address_state": "<string>",
      "subscription_id": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "checkout_url": "<string>",
      "location": null
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...

Query Parameters

cursor
string

Pagination cursor

limit
number

Number of items to return (default: 50, max: 100)

status
string

Filter by status (PENDING, PENDING_PAYMENT, PROCESSING, COMPLETED, VOIDED, REFUNDED, PARTIAL_REFUND, DISPUTED, EXPIRED)

customerEmail
string<email>

Filter by customer email

Response

Default Response

data
object[]
required
pagination
object
required